Автор Тема: Чем могут помочь пользователи для улучшения ALT Linux  (Прочитано 52391 раз)

Оффлайн Aleksey Shimanov

  • Давно тут
  • **
  • Сообщений: 65
    • Email
Шаг 3. Может можно поставить по инструкции Альт Сервер, а вот фигушки.
На PostgresPro есть инструкция, по ней ставится на Alt Server без проблем... У меня на нем (PostgresPro Standart) Zabbix работает.
WS не проверял.

Спойлер
Продукт
Postgres Pro Standard 16

Поддерживаемые конфигурации: версии операционной системы и архитектуры
altlinux 10: x86_64, aarch64, e2k, e2kv4
altlinux 9: x86_64, aarch64, e2k, e2kv4

Инструкции по установке
wget https://repo.postgrespro.ru/std-16/keys/pgpro-repo-add.sh
sh pgpro-repo-add.sh
Если наш продукт единственный Postgres на вашей машине и вы хотите сразу получить готовую к употреблению базу:

apt-get install postgrespro-std-16
Если у вас уже установлен другой Postgres и вы хотите чтобы он продолжал работать параллельно (в том числе и для апгрейда с более старой major-версии):

apt-get install postgrespro-std-16-contrib
/opt/pgpro/std-16/bin/pg-setup initdb
/opt/pgpro/std-16/bin/pg-setup service enable
/opt/pgpro/std-16/bin/pg-setup service start
Если вы хотите создать базу пригодную для использования с продуктами 1С:

apt-get install postgrespro-std-16-contrib
/opt/pgpro/std-16/bin/pg-setup initdb --tune=1c
/opt/pgpro/std-16/bin/pg-setup service enable
/opt/pgpro/std-16/bin/pg-setup service start
В состав Postgres Pro Standard входят многочисленные дополнительные компоненты, которые могут быть установлены с помощью apt-get после установки собственно Postgres

Компоненты
mamonsu 3.5.6
oracle-fdw-std-16 2.6.0
orafce-std-16 4.9.2
pg-filedump-std-16 16.1
pg-portal-modify-std-16 0.3.3
pg-probackup-std-16 2.7.3
pg-repack-std-16 1.5.0
pgbouncer 1.22.0
pgpro-controldata 16.1.0
pgpro-pgbadger 11.6
pgpro-pwr-std-16 4.5
pgpro-stats-std-16 1.7.0
pldebugger-std-16 1.1.4
plv8-std-16 3.2.2
postgrespro-std-16 16.2.2
postgrespro-std-16-client 16.2.2
postgrespro-std-16-contrib 16.2.2
postgrespro-std-16-devel 16.2.2
postgrespro-std-16-docs 16.2.2
postgrespro-std-16-docs-ru 16.2.2
postgrespro-std-16-jit 16.2.2
postgrespro-std-16-libs 16.2.2
postgrespro-std-16-plperl 16.2.2
postgrespro-std-16-plpython3 16.2.2
postgrespro-std-16-pltcl 16.2.2
postgrespro-std-16-server 16.2.2
tds-fdw-std-16 2.0.3
postgrespro-std-16-test 16.2.2
libbacktrace 1.0
liblz4-1_7 131
liblz4-devel 131
libunwind 1.5.0
libunwind-devel 1.5.0
perl-IO-Tty 1.16
perl-IPC-Run 0.99
freetds 1.3.3
freetds-libs 1.3.3
libsybdb5 1.1.36

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 330
Избыточно и прибито гвоздями.
Но rust на вашем месте я бы поддержку добавил. Это альтернатива C++, но в сторону функционального программирования.

Оффлайн gvy

  • alt linux team
  • ***
  • Сообщений: 1 009
    • Альт на Эльбрусе
    • Email
1. установка языка программирования rust
[...] https://bugzilla.altlinux.org/49831
Поставил пакет rust, установился только rustc, а cargo - нет.
Пришлось установить ещё пакет rust-cargo.
Считаю это неправильным, установка rust должна установить одновременно как rustc, так и cargo.
Это спорно, подробнее обсудили в баге.

После этого сделал проект, скомпилировать не удалось - нет cc.
Тоже считаю это неправильным, скрипт установки rust должен проверить наличие нужного cc и доустановить.
А это бесспорно, только там не скрипт, а зависимости и код их разрешения в rpm/apt.

Так же нужен пакет, который поставит rustup, вдруг разработчику захочется поставить другой тулчейн или добавить компонент)))
Как и в случае с pip или там virtualenv/rvm -- это контрдистрибутивные решения, которые не стоит поощрять; тем не менее можете озадачиться таким пакетом и довести его до вида, который бы сами сочли пригодным для репозитория. :)

На данный момент самый правильный способ поставить rust - это ставить его с официального сайта, а затем установить gcc.
(как по мне так "не ставить вовсе", но это другая тема)

2. python
Сам python3 установлен, а pip3 - нету!!!
Надо выяснять и ставить пакет python3-module-pip.
Предлагаю Вам задокументировать где-нить на http://altlinux.org/python (страничка сейчас отсутствует) как установку самого питона, так и apt-get install pip вместе с последствиями при обновлениях питона, модулей и приложений, которые могут от чего-либо установленного "слева" зависеть (классика жанра -- обновление libssl со сменой ABI, для pip и подобных оказывающееся неожиданным).

3. python3
Т.к. я не нашел в системе установленного python2
Это по той причине, что Вы его не установили -- пакет называется python-base и в сизифе доступен.

для удобства можно добавить в глобальный профайл пару алиасов, чтобы не набирать "3":
alias python='python3'
alias pip='pip3'
По pip, наверное, можно такое предложить и в пакет (как /etc/profile.d/pip.sh); по python рано:

$ hsh --ini; hsh-install /usr/bin/python
$ hsh-shell
[builder@localhost .in]$ python
Python 2.7.18 (default, Jul 30 2023, 05:00:00)
[GCC 13.2.1 20230817 (ALT Sisyphus 13.2.1-alt2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> _
--
Michael Shigorin | ALT Linux Team | ANNA-News | Сделано у нас | altlinux.org/эльбрус

Оффлайн GrishaDm

  • Давно тут
  • **
  • Сообщений: 330
Предлагаю Вам задокументировать где-нить на http://altlinux.org/python (страничка сейчас отсутствует) как установку самого питона, так и
Код: [Выделить]

apt-get install pip

вместе с последствиями при обновлениях питона, модулей и приложений, которые могут от чего-либо установленного "слева" зависеть (классика жанра -- обновление libssl со сменой ABI, для pip и подобных оказывающееся неожиданным).
Сам pip это ещё полбеды. Там к конкретной его версии привязаны версии других библиотек. У меня в организации на одном из ПК не было интернета (там нельзя его использовать). И когда мне понадобилась pandas, которую я хотел просто скачать с сайта и подложить - то я понял, что там такое количество зависимостей надо обработать и заменить, что просто это всё нереально. Библиотека pandas ( https://pandas.pydata.org/ ) является критически важной. Она даёт возможность ускорять в разы программы на Python, храня представления, функции и процедуры в оперативной памяти. Любая программа, где "узким местом" является время исполнения - нуждается в этой библиотеке (сам язык Python является дико тормозным, библиотека по дефолту работающая с данными тупо хранит на ж. д. кэш и не умеет оптимизировать это).
Я к чему - по хорошему нужно сразу установить связку Python + pip + часто используемые библиотеки. Сейчас дефолтные настройки этого языка явно не оптимальные. А самому настраивать - не всегда есть возможность на местах (да и долго это всё).
« Последнее редактирование: 29.05.2024 00:52:06 от GrishaDm »